:
#
# version 3.4 Wed Feb 16 08:33:18 PST 2000 savefile variable added
umask 022

# This tool suite was written by and is copyright by Brad Powell , Matt 
# Archibald, and Dan Farmer 1994, 1995, 1996, 1997, 1998, 1999, 2000
#
# The copyright holder disclaims all responsibility or liability with 
# respect to its usage or its effect upon hardware or computer 
# systems, and maintains copyright as set out in the "LICENSE" 
# document which accompanies distribution. 
 
# Some of the ideas and code for the sunos 4.1.X version of titan was 
# modified from code from a program secure_sun author unknown. If the 
# author of secure_sun (i believe it was from Texas A&M) wishes to identify 
# himself/herself I will gladly post credit where it is due- bpowell
 

inetsvc="/etc/init.d/inetsvc"

# setup
TITANHOME=`pwd`
PATH=/bin:/usr/bin:/sbin:$TITANHOME/lib
MYNAME=`basename $0`
OS=`uname -r`
HOST=`uname -n`
DATE=`/bin/date +%Y%m%d%H%M`
SAVEFILES='/etc/init.d/inetsvc'

#
# suck in some lib functions (t_echo, etc.)
#
. misc_functions.sh

# did things work out or not?
action=`sanity_check $MYNAME $1`
if test $? -ne 0 ; then
	# exit 1
	:
	fi

Intro() {

cat << EOF_INTRO

Moves aside /etc/init.d/inetsvc to /etc/init.d/inetsvc.ORIG.$DATE and replaces with a
minimum version consisting of two lines:

/usr/sbin/ifconfig -au netmask + broadcast +
/usr/sbin/inetd -s -t

Note: if you are running named (DNS server) DHCP, or multicast, you will have 
to modify this.

EOF_INTRO

}

Check() {
 
if egrep -s "named|mcastif|dhcpinfo" $inetsvc
then
   t_echo 2 " File $inetsvc has services running that should be disabled - FAILS CHECK"
else
   t_echo 2 " $inetsvc seems to have had services disabled: PASSES CHECK"

fi

}

Fix() {

if [ -f $inetsvc.ORIG ]
	then
	t_echo 2 "File $inetsvc.ORIG already exists; not changing"
else
	t_echo 2 "moving $inetsvc to $inetsvc.ORIG.$DATE"
	mv $inetsvc $inetsvc.ORIG.$DATE
	if [ $? -ne 0 ]
		then   
		t_echo 2
		t_echo 2 "Could not rename inetsvc"
		exit 1
		fi
	fi

if [  ! -f $inetsvc ]
	then
	t_echo 2 "Changing $inetsvc to the new version"
	t_echo 2 "Note: You may have to manually edit inetsvc if you use"
	t_echo 2 "DHCP, multicast, or this is a DNS (named) server."
	t_echo 2 "The existing version is saved as $inetsvc.ORIG.$DATE"
	t_echo 2 ""

/bin/cat << EOF_INETSVC > $inetsvc

#!/bin/sh
/usr/sbin/ifconfig -au netmask + broadcast +
/usr/sbin/inetd -s -t

EOF_INETSVC

	/bin/chmod 644 $inetsvc
	fi

}

action=$1
case $action in
 -[Ff]*)
Fix
;;
 -[Vv]*)
Check
;;
 -[Ii]*)
Intro
;;
 
*)
        t_echo 1 "        ERROR:Invalid arg $action"
        t_echo 1 "        ERROR:Usage $MYNAME -[ivf] (I)ntro/(V)erify/(F)ix"
        t_echo 1 " "
;;
esac

